
-- Here you can enable/disable parts of the Copact Factory mod:

config = 
{
    -- Examples:
    I_am_Enabled  = true,       -- This feature is enabled  (true)
    I_am_Disabled = false,      -- This feature is disabled (false)
    
    -- All features are enabled by default. You can disable them by changing 'true' to 'false':
    
    -- Compact Solar Energy:
    solar_panels = true,
    accumulators = true,
    substation = true,
    
    -- Compact Material Processing:
    mining_drills = true,
    electric_furnaces = true,
    
    -- Compact Oil Processing:
    refineries = true,
    chemical_plants = true,
    
    -- Compact Fluid Handling:
    pipes = true,
    storage_tanks = true,
    small_pumps = true,
    offshore_pumps = true,
    
    -- Compact Steam Energy:
    boilers = true,
    steam_engines = true,
    
    -- Others:
    inserters = true,
    roboports = true,
    repair_packs = true,
    
    -- SETTINGS:
    
    -- Preserve researched technologies, even if you disable all entities from their coresponding techs:
    preserve_techs = false,
    
    -- Automaticaly update all recipes according to the researched technologies when the game is loaded.
    -- Use this when enabling previously disabled features - this will unlock them properly. Can be left enabled, but technically may very slightly increase the loading time.
    recipe_auto_update = false,
    
    -- Or you could use this command in the command line (accesed by ~) to update recipes once:
    -- /c remote.call("Compact_Factory", "force_recipe_update")
}


-- These values below are nessesary for correct mod loading - do not change !

-- Compression values:
solar_accumulator_compression_level  = 4
boiler_engine_compression_level      = 2
miner_furnace_compression_level      = 2
refinery_chemplant_compression_level = 2
pipe_storage_tank_compression_level  = 2
roboport_compression_level           = 2

-- Tier numbers:
solar_accumulator_tiers  = 5
boiler_engine_tiers      = 4
miner_furnace_tiers      = 4
refinery_chemplant_tiers = 4
pipe_storage_tank_tiers  = 4
roboports_tiers          = 3
